Bug 1254007 - Dependency issues with system-config-language
Dependency issues with system-config-language
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-08-16 10:43 EDT by Couret Charles-Antoine
Modified: 2015-09-09 07:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-09-09 07:49:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Couret Charles-Antoine 2015-08-16 10:43:12 EDT
I installed system-config-language with DNF on Fedora Rawhide.
When I started this application, I had this error :

/usr/share/system-config-language/language_gui.py:23: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
Traceback (most recent call last):
  File "/usr/share/system-config-language/system-config-language.py", line 72, in <module>
  File "/usr/share/system-config-language/system-config-language.py", line 64, in run
  File "/usr/share/system-config-language/system-config-language.py", line 40, in use_gui_mode
    import language_gui
  File "/usr/share/system-config-language/language_gui.py", line 26, in <module>
    import install_packages3
  File "/usr/share/system-config-language/install_packages3.py", line 24, in <module>
    import dnf
ImportError: No module named dnf

And application didn't work.
Then, I installed python-dnf and its plugins : it worked !

I think the dependencies are not correct for this package.
Comment 1 Parag Nemade 2015-08-17 05:25:23 EDT
Thank you for reporting this bug. Actually, since recent development happened in PackageKit and gnome-software, system-config-language become somewhat un-functional. If its working for you then I am happy.

The package installation that happens in system-config-language was using PackageKit API which is now changed and moved to gnome-software. This makes package installation difficult now using gnome-software.

I have now fixed the dependencies in F23+ brnaches but will release new packages in few days as I got one more issue that snack module is not available in python3.
Comment 2 Parag Nemade 2015-09-09 07:49:39 EDT
system-config-language-3.3.0-1 has fixed all the pending issues and already available in F23+ releases.

Note You need to log in before you can comment on or make changes to this bug.